CertStoreException (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class CertStoreException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--java.security.cert.CertStoreException

All Implemented Interfaces:
  Serializable

public class CertStoreException
extends GeneralSecurityException

An exception indicating one of a variety of problems retrieving certificates and CRLs from a `CertStore`.

A `CertStoreException` provides support for wrapping exceptions. The `getCause` method returns the throwable, if any, that caused this exception to be thrown.

Concurrent Access

Unless otherwise specified, the methods defined in this class are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

Since:
  1.4
See Also:
  `CertStore`, Serialized Form

Constructor Summary
`CertStoreException()` Creates a `CertStoreException` with `null` as its detail message.
`CertStoreException(String msg)` Creates a `CertStoreException` with the given detail message.
`CertStoreException(String msg, Throwable cause)` Creates a `CertStoreException` with the specified detail message and cause.
`CertStoreException(Throwable cause)` Creates a `CertStoreException` that wraps the specified throwable.

Method Summary
`Throwable` | `getCause()` Returns the cause of this `CertStoreException` or `null` if the cause is nonexistent or unknown.
`String` | `getMessage()` Returns the detail message for this `CertStoreException`.
`void` | `printStackTrace()` Prints a stack trace to `System.err`, including the backtrace of the cause, if any.
`void` | `printStackTrace(PrintStream ps)` Prints a stack trace to a `PrintStream`, including the backtrace of the cause, if any.
`void` | `printStackTrace(PrintWriter pw)` Prints a stack trace to a `PrintWriter`, including the backtrace of the cause, if any.
`String` | `toString()` Returns a string describing this exception, including a description of the internal (wrapped) cause if there is one.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertStoreException

    public CertStoreException()

  Creates a `CertStoreException` with `null` as its detail message.

### CertStoreException

    public CertStoreException(String msg)

  Creates a `CertStoreException` with the given detail message. A detail message is a `String` that describes this particular exception.

Parameters:
  `msg` - the detail message

### CertStoreException

    public CertStoreException(Throwable cause)

  Creates a `CertStoreException` that wraps the specified throwable. This allows any exception to be converted into a `CertStoreException`, while retaining information about the cause, which may be useful for debugging. The detail message is set to (`cause==null ? null : cause.toString()`) (which typically contains the class and detail message of cause).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### CertStoreException

    public CertStoreException(String msg,
                              Throwable cause)

  Creates a `CertStoreException` with the specified detail message and cause.

Parameters:
  `msg` - the detail message
  `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getMessage

    public String getMessage()

  Returns the detail message for this `CertStoreException`.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message, or `null` if neither the message nor cause were specified

### getCause

    public Throwable getCause()

  Returns the cause of this `CertStoreException` or `null` if the cause is nonexistent or unknown.

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the cause of this throwable or `null` if the cause is nonexistent or unknown.

### toString

    public String toString()

  Returns a string describing this exception, including a description of the internal (wrapped) cause if there is one.

  Overrides:
    `toString` in class `Throwable`
  Returns:
    a string representation of this `CertStoreException`

### printStackTrace

    public void printStackTrace()

  Prints a stack trace to `System.err`, including the backtrace of the cause, if any.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints a stack trace to a `PrintStream`, including the backtrace of the cause, if any.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `ps` - the `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints a stack trace to a `PrintWriter`, including the backtrace of the cause, if any.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `pw` - the `PrintWriter` to use for output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.